function [a,b,n]=mod_regula(func,a,b,tol,eta)

fa=func(a);
fb=func(b);
% n beschreibt die Anzahl der Funktionsauswertungen
n=2;
% fla=0: rechter Wert verndert sich bei Regula Falsi  zuletzt
% fla=1: linker Wert verndert sich bei Regula Falsi  zuletzt
fla=0;

% berprfen der Zulssigkeit der Startwerte
if fa*fb>0
    error('Keine Startwerte')
end


while b-a>tol % Abbruchkriterium b-a<=tol
%for i=1:5
    t=b-a;
    dis=t; % beschreibt spter a_k-a_(k-1) bzw b_(k-1)-b_k
    
    % Hier wird Regula Falsi durchgefhrt
    while dis>eta*t && fa-fb~=0
        % Regula-Falsi-Rekursionsformel
        r=a-(a-b)*fa/(fa-fb);
        fr=func(r);
        n=n+1;
        if fa*fr<0
            dis=b-r;
            b=r;
            fb=fr;
            fla=0;
        else
            dis=r-a;
            a=r;
            fa=fr;
            fla=1;
        end
    end

    % Hier wird der "hngende" Intervallrand upgedatet
    % 1. Fall: rechter Rand hat sich zuletzt gendert
    if fla==0
        x=b;
        fx=fb;
        while fb*fx>0
            x=x-eta*t;
            fx=func(x);
            n=n+1;
        end
        a=x;
        fa=fx;
    % 2. Fall: linker Rand hat sich zuletzt gendert
    else
        x=a;
        fx=fa;
        while fa*fx>0
            x=x+eta*t;
            fx=func(x);
            n=n+1;
        end
        b=x;
        fb=fx;
    end
end
    